/**
 * @packageDocumentation
 * @module resolutions
 */
/**
 * Returns the product (*) of a sequence of numbers.
 * Returns NaN if sequence is empty or if any entries are NaN.
 * @param {Iterable<number>} sequence The sequence of numbers to multiply together.
 * @return {number} The product of the sequence.
 */
export default function product(sequence: Iterable<number>): number;
