/**
 * @packageDocumentation
 * @module resolutions
 */
/**
 * Returns the sum (+) of a sequence of numbers.
 * Returns 0 if sequence is empty.  Returns NaN if any entries are NaN.
 * @param {Iterable<number>} sequence The sequence of numbers to sum (add+ together).
 * @return {number} The sum of the sequence.
 */
export default function sum(sequence: Iterable<number>): number;
